%define version 8.2.0
%define rel 1

Summary:        Runner has process management, including an inetd replacement for Twisted
Name:           python-twisted-runner
Version:        %version
Release: %mkrel %rel
Source0:        http://tmrc.mit.edu/mirror/twisted/Runner/8.0/TwistedRunner-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedRunner
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel python-twisted-core
Requires:       python-twisted-core

%description
Runner has process management, including an inetd replacement for Twisted.

%prep
%setup -q -n TwistedRunner-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot

%clean
%__rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc LICENSE README
%dir %py_platsitedir/twisted/runner
%py_platsitedir/twisted/runner/*
%py_platsitedir/*.egg-info





%changelog
* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323860
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.0.0-2mdv2009.1
+ Revision: 318665
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.0.0-1mdv2009.0
+ Revision: 219091
-update to new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-1mdv2008.1
+ Revision: 126231
- kill re-definition of %%buildroot on Pixel's request


* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 96972
- Rebuild against new python
- Import python-twisted-runner

* Sat Jul 15 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

